> ## Documentation Index
> Fetch the complete documentation index at: https://www.bugzy.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get test run details



## OpenAPI

````yaml /openapi/v1.json get /projects/{id}/test-runs/{testRunId}
openapi: 3.1.0
info:
  title: Bugzy API
  description: >-
    Programmatic access to Bugzy's QA automation capabilities. Trigger test
    runs, query results, manage schedules, and configure event triggers.
  version: 1.0.0
  contact:
    name: Bugzy Support
    url: https://www.bugzy.ai
servers:
  - url: https://bugzy.ai/api/v1
    description: Production
security:
  - bearerAuth: []
paths:
  /projects/{id}/test-runs/{testRunId}:
    get:
      tags:
        - Test Runs
      summary: Get test run details
      operationId: getTestRun
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: testRunId
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Detailed test results with individual test names and statuses
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Project API key (bzy_proj_*) for project routes or team API key
        (bzy_team_*) for selected team routes.

````